> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all campaign customer metadata for a campaign



## OpenAPI

````yaml /openapi.json get /campaigns/{id}/customer_metadatas
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaigns/{id}/customer_metadatas:
    get:
      tags:
        - Campaign customer metadatas
      summary: List all campaign customer metadata for a campaign
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign
          required: true
      responses:
        '200':
          description: >-
            An object with a `customer_metadatas` key containing an array of
            metadata objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  customer_metadatas:
                    type: array
                    items:
                      $ref: '#/components/schemas/CampaignCustomerMetadata'
                    description: An array of campaign customer metadata objects
                required:
                  - customer_metadatas
components:
  schemas:
    CampaignCustomerMetadata:
      type: object
      properties:
        customer:
          type: string
          description: The ID of the customer
        metadata:
          type: object
          additionalProperties: true
          description: Arbitrary metadata associated with this campaign-customer pair
        created_at:
          type: string
          description: The creation timestamp
        updated_at:
          type: string
          description: The last update timestamp
      required:
        - customer
        - metadata
        - created_at
        - updated_at
      title: The Campaign Customer Metadata object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````